Package org.eclipse.net4j.util

# Class Predicates.IncludedPredicate<T>

java.lang.Object
org.eclipse.net4j.util.Predicates.IncludedPredicate<T>

All Implemented Interfaces:
  `Predicate<T>`

Enclosing class:
  Predicates

public static final class Predicates.IncludedPredicate<T> extends Object implements Predicate<T>

Since:
  3.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.Predicate

`Predicate.DelegatingPredicate<T>`

## Constructor Summary

Constructors
Constructor
Description
`IncludedPredicate(Set<T> inclusions)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`apply(T element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludedPredicate

public IncludedPredicate(Set<T> inclusions)

## Method Details

### apply

public boolean apply(T element)

Specified by:
  `apply` in interface `Predicate<T>`